{
    "model": {
        "type": "range_dispatch",
        "property": "custom_model_data",
        "fallback": {
            "type": "minecraft:condition",
            "property": "minecraft:using_item",
            "on_false": {
                "type": "minecraft:special",
                "base": "minecraft:item/shield",
                "model": {
                    "type": "minecraft:shield"
                }
            },
            "on_true": {
                "type": "minecraft:special",
                "base": "minecraft:item/shield_blocking",
                "model": {
                    "type": "minecraft:shield"
                }
            }
        },
        "entries": [
            {
                "threshold": 1,
                "model": {
                    "type": "minecraft:condition",
                    "property": "minecraft:using_item",
                    "on_false": {
                        "type": "minecraft:model",
                        "model": "item/shields/captamerica"
                    },
                    "on_true": {
                        "type": "minecraft:model",
                        "model": "item/shields/captamericablock"
                    }
                }
            }
        ]
    }
}